# $Id: modules.spec,v 1.10 2002/10/10 01:47:12 tara Exp $
# This file is the basis for a binary Module RPM for Linux.

%define version 3.1.6
%define modules_prefix /opt/Modules/%{version}

Summary: module scripting language development environment
Name: modulesenv
Version: %{version}
Release: 2
Copyright: GPL
Group: Development/Languages
Source0: modules-%{version}.tar.bz2
Source1: modules.sh
Source2: modules.csh

Patch1: modules-3.1.6-fixpath.patch

URL: http://www.sourceforge.net/
Packager: Cray Inc 
Buildroot: /var/tmp/%{name}-root

%description
For an introduction to The Modules Package, see the paper, "Modules: Providing
a Flexible User Environment", in the Proceeding of the 1991 Large Installation
Systems Administrators USENIX Conference (USENIX LISA V).  A copy of the paper
is included in Postscript form in doc/Modules-Paper.ps.  The paper describes
the concepts behind Modules and a prototype/proof-of-concept implementation
based on shell scripts being sourced into the user environment.  The
implementation details have changed, but the package concepts haven't.

%prep
%setup -q -n modules-%{version}

%patch1 -p1

%build
./configure  	--prefix=%{modules_prefix} \
                --with-module-path=%{modules_prefix}/modulefiles:/opt/modulefiles \
                --with-version-path=%{modules_prefix}/versions \
		--with-tcl-include=/usr/include  \
		--with-tcl-libraries=/usr/lib

# if RPM_BUILD_NCPUS unset, set it
if [ -z "$RPM_BUILD_NCPUS" ] ; then
  if [ -x /usr/bin/getconf ] ; then
    RPM_BUILD_NCPUS=$(/usr/bin/getconf _NPROCESSORS_ONLN)
    if [ $RPM_BUILD_NCPUS -eq 0 ]; then
      RPM_BUILD_NCPUS=1
    fi
  else
    RPM_BUILD_NCPUS=1
  fi
fi

make CC=/usr/bin/gcc -j$RPM_BUILD_NCPUS

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{modules_prefix}
mkdir -p $RPM_BUILD_ROOT/%{modules_prefix}/versions
make INSTALL_ROOT=$RPM_BUILD_ROOT prefix=$RPM_BUILD_ROOT/%{modules_prefix} man_prefix=$RPM_BUILD_ROOT/%{modules_prefix} versdir=$RPM_BUILD_ROOT/%{modules_prefix}/versions/%{version}  install

#make install prefix=/var/tmp/modules-root/opt/Modules/3.1.6 man_prefix=/var/tmp/modules-root/opt/Modules/3.1.6 versdir=/var/tmp/modules-root/opt/Modules/3.1.6/versions/3.1.

mkdir -p $RPM_BUILD_ROOT/etc/profile.d
cp $RPM_SOURCE_DIR/modules.csh $RPM_BUILD_ROOT/etc/profile.d
cp $RPM_SOURCE_DIR/modules.sh $RPM_BUILD_ROOT/etc/profile.d

mkdir -p $RPM_BUILD_ROOT/opt/modulefiles

%clean
rm -rf $RPM_BUILD_ROOT


%post 
rm -f /opt/Modules/default
ln -s /opt/Modules/%{version} /opt/Modules/default

# to create the tcl files list, comment out tk in the install section above,
# then run "rpm -bi" then do a find from the build root directory,
# and remove the files in specific directories which suffice by themselves,
# then to create the files list for tk, uncomment tk, comment out tcl,
# then rm -rf $RPM_BUILD_ROOT then rpm --short-circuit -bi then redo a find,
# and remove the files in specific directories which suffice by themselves.
%files
%defattr(-,root,root)
%{modules_prefix}
/opt/modulefiles
#%dir %{modules_prefix}/versions
#%dir %{modules_prefix}/bin
#%dir %{modules_prefix}/modulefiles
#%dir %{modules_prefix}/init
#%dir %{modules_prefix}/man
#%dir %{modules_prefix}/man/man1
#%dir %{modules_prefix}/man/man4
#%dir /opt/modulefiles
#%{modules_prefix}/bin/modulecmd
#%{modules_prefix}/bin/add.modules
#%{modules_prefix}/bin/mkroot
#%{modules_prefix}/modulefiles/modules
#%{modules_prefix}/modulefiles/module-cvs
#%{modules_prefix}/modulefiles/module-info
#%{modules_prefix}/modulefiles/null
#%{modules_prefix}/modulefiles/use.own
#%{modules_prefix}/modulefiles/dot
#%{modules_prefix}/init/bash
#%{modules_prefix}/init/csh
#%{modules_prefix}/init/perl
#%{modules_prefix}/init/python
#%{modules_prefix}/init/sh
#%{modules_prefix}/init/tcsh
#%{modules_prefix}/init/zsh
#%{modules_prefix}/init/ksh
#%{modules_prefix}/init/.modulespath
#%{modules_prefix}/man/man1/module.1
#%{modules_prefix}/man/man4/modulefile.4
/etc/profile.d/modules.csh
/etc/profile.d/modules.sh
